package jp.co.student.springbootstudy.domain.model;

import java.util.ArrayList;
import java.util.List;

public class ClassRoomExample {
    /**
	 * This field was generated by MyBatis Generator. This field corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	protected String orderByClause;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	protected boolean distinct;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	protected List<Criteria> oredCriteria;

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public ClassRoomExample() {
		oredCriteria = new ArrayList<>();
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public void setOrderByClause(String orderByClause) {
		this.orderByClause = orderByClause;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public String getOrderByClause() {
		return orderByClause;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public void setDistinct(boolean distinct) {
		this.distinct = distinct;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public boolean isDistinct() {
		return distinct;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public List<Criteria> getOredCriteria() {
		return oredCriteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public void or(Criteria criteria) {
		oredCriteria.add(criteria);
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public Criteria or() {
		Criteria criteria = createCriteriaInternal();
		oredCriteria.add(criteria);
		return criteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public Criteria createCriteria() {
		Criteria criteria = createCriteriaInternal();
		if (oredCriteria.size() == 0) {
			oredCriteria.add(criteria);
		}
		return criteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	protected Criteria createCriteriaInternal() {
		Criteria criteria = new Criteria();
		return criteria;
	}

	/**
	 * This method was generated by MyBatis Generator. This method corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public void clear() {
		oredCriteria.clear();
		orderByClause = null;
		distinct = false;
	}

	/**
	 * This class was generated by MyBatis Generator. This class corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	protected abstract static class GeneratedCriteria {
		protected List<Criterion> criteria;

		protected GeneratedCriteria() {
			super();
			criteria = new ArrayList<>();
		}

		public boolean isValid() {
			return criteria.size() > 0;
		}

		public List<Criterion> getAllCriteria() {
			return criteria;
		}

		public List<Criterion> getCriteria() {
			return criteria;
		}

		protected void addCriterion(String condition) {
			if (condition == null) {
				throw new RuntimeException("Value for condition cannot be null");
			}
			criteria.add(new Criterion(condition));
		}

		protected void addCriterion(String condition, Object value, String property) {
			if (value == null) {
				throw new RuntimeException("Value for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value));
		}

		protected void addCriterion(String condition, Object value1, Object value2, String property) {
			if (value1 == null || value2 == null) {
				throw new RuntimeException("Between values for " + property + " cannot be null");
			}
			criteria.add(new Criterion(condition, value1, value2));
		}

		public Criteria andClassRoomIdIsNull() {
			addCriterion("class_room_id is null");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdIsNotNull() {
			addCriterion("class_room_id is not null");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdEqualTo(Integer value) {
			addCriterion("class_room_id =", value, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdNotEqualTo(Integer value) {
			addCriterion("class_room_id <>", value, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdGreaterThan(Integer value) {
			addCriterion("class_room_id >", value, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdGreaterThanOrEqualTo(Integer value) {
			addCriterion("class_room_id >=", value, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdLessThan(Integer value) {
			addCriterion("class_room_id <", value, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdLessThanOrEqualTo(Integer value) {
			addCriterion("class_room_id <=", value, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdIn(List<Integer> values) {
			addCriterion("class_room_id in", values, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdNotIn(List<Integer> values) {
			addCriterion("class_room_id not in", values, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdBetween(Integer value1, Integer value2) {
			addCriterion("class_room_id between", value1, value2, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomIdNotBetween(Integer value1, Integer value2) {
			addCriterion("class_room_id not between", value1, value2, "classRoomId");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameIsNull() {
			addCriterion("class_room_name is null");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameIsNotNull() {
			addCriterion("class_room_name is not null");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameEqualTo(String value) {
			addCriterion("class_room_name =", value, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameNotEqualTo(String value) {
			addCriterion("class_room_name <>", value, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameGreaterThan(String value) {
			addCriterion("class_room_name >", value, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameGreaterThanOrEqualTo(String value) {
			addCriterion("class_room_name >=", value, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameLessThan(String value) {
			addCriterion("class_room_name <", value, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameLessThanOrEqualTo(String value) {
			addCriterion("class_room_name <=", value, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameLike(String value) {
			addCriterion("class_room_name like", value, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameNotLike(String value) {
			addCriterion("class_room_name not like", value, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameIn(List<String> values) {
			addCriterion("class_room_name in", values, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameNotIn(List<String> values) {
			addCriterion("class_room_name not in", values, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameBetween(String value1, String value2) {
			addCriterion("class_room_name between", value1, value2, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andClassRoomNameNotBetween(String value1, String value2) {
			addCriterion("class_room_name not between", value1, value2, "classRoomName");
			return (Criteria) this;
		}

		public Criteria andCapancityIsNull() {
			addCriterion("capancity is null");
			return (Criteria) this;
		}

		public Criteria andCapancityIsNotNull() {
			addCriterion("capancity is not null");
			return (Criteria) this;
		}

		public Criteria andCapancityEqualTo(Integer value) {
			addCriterion("capancity =", value, "capancity");
			return (Criteria) this;
		}

		public Criteria andCapancityNotEqualTo(Integer value) {
			addCriterion("capancity <>", value, "capancity");
			return (Criteria) this;
		}

		public Criteria andCapancityGreaterThan(Integer value) {
			addCriterion("capancity >", value, "capancity");
			return (Criteria) this;
		}

		public Criteria andCapancityGreaterThanOrEqualTo(Integer value) {
			addCriterion("capancity >=", value, "capancity");
			return (Criteria) this;
		}

		public Criteria andCapancityLessThan(Integer value) {
			addCriterion("capancity <", value, "capancity");
			return (Criteria) this;
		}

		public Criteria andCapancityLessThanOrEqualTo(Integer value) {
			addCriterion("capancity <=", value, "capancity");
			return (Criteria) this;
		}

		public Criteria andCapancityIn(List<Integer> values) {
			addCriterion("capancity in", values, "capancity");
			return (Criteria) this;
		}

		public Criteria andCapancityNotIn(List<Integer> values) {
			addCriterion("capancity not in", values, "capancity");
			return (Criteria) this;
		}

		public Criteria andCapancityBetween(Integer value1, Integer value2) {
			addCriterion("capancity between", value1, value2, "capancity");
			return (Criteria) this;
		}

		public Criteria andCapancityNotBetween(Integer value1, Integer value2) {
			addCriterion("capancity not between", value1, value2, "capancity");
			return (Criteria) this;
		}
	}

	/**
	 * This class was generated by MyBatis Generator. This class corresponds to the database table public.class_room
	 * @mbg.generated  Sat May 04 13:00:20 JST 2024
	 */
	public static class Criterion {
		private String condition;
		private Object value;
		private Object secondValue;
		private boolean noValue;
		private boolean singleValue;
		private boolean betweenValue;
		private boolean listValue;
		private String typeHandler;

		public String getCondition() {
			return condition;
		}

		public Object getValue() {
			return value;
		}

		public Object getSecondValue() {
			return secondValue;
		}

		public boolean isNoValue() {
			return noValue;
		}

		public boolean isSingleValue() {
			return singleValue;
		}

		public boolean isBetweenValue() {
			return betweenValue;
		}

		public boolean isListValue() {
			return listValue;
		}

		public String getTypeHandler() {
			return typeHandler;
		}

		protected Criterion(String condition) {
			super();
			this.condition = condition;
			this.typeHandler = null;
			this.noValue = true;
		}

		protected Criterion(String condition, Object value, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.typeHandler = typeHandler;
			if (value instanceof List<?>) {
				this.listValue = true;
			} else {
				this.singleValue = true;
			}
		}

		protected Criterion(String condition, Object value) {
			this(condition, value, null);
		}

		protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
			super();
			this.condition = condition;
			this.value = value;
			this.secondValue = secondValue;
			this.typeHandler = typeHandler;
			this.betweenValue = true;
		}

		protected Criterion(String condition, Object value, Object secondValue) {
			this(condition, value, secondValue, null);
		}
	}

	/**
     * This class was generated by MyBatis Generator.
     * This class corresponds to the database table public.class_room
     *
     * @mbg.generated do_not_delete_during_merge Sat May 04 11:52:23 JST 2024
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }
}